0
$\begingroup$

As I want to use a ros1 driver node in my ros2 environment, I need to use the ros1_bridge package. I am using ros1 noetic and ros2 foxy on Ubuntu 20.04 After I have cloned it from git hub, I have built the package and have a warning that: failed to find ROS 1 roscpp, skipping...

AI rechecked the roscpp package in ros1, it is successfully installed at the correct path. I have also sourced the environment for both my ros1 noetic and ros2 foxy in separated terminal, I rebuild the package again but still the same warning (see picture). I would really appreciate if someone can point out what could be the problem here and what I possibly miss out since its my first ros2 project. Thank you in advance :D enter image description here

$\endgroup$

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.